Facebook sdk 7.9 with Unity 5.4.2f2 and Android sdk compatibility !?

Hello everyone,

I am having much trouble since a while trying to solve many problems with Key-Hash, Manifest Merge …
app crash on Login …etc

I need to understand if any developer is using Unity 5.4.2f2 or similar and facing such issues.

For example, I had the login working, after integration of “Android Native Plugin” (Stan’s Assets), I had the manifest merge error where it was solved, later the app crashed when login tapped, as I removed public_actions … and all permissions and left only public_profile, the crash does not occur, but not it says Invalid Key Hash, where it was solved once ago after many days spend and here it comes again.

As I read on developers.facebook
"Upgrading to 7.9.0
Upgrade to at least version 5.4.1p3 of unity Unity 5.4.1p3 "

So the unity I am using is newer than mentioned here, does it relate?

Also I have an app crash when puchase(consume) button is pressed.
I will figure out each error one by one, but does the version compatibility make sense here?

hi sorry to revive this old post but would appreciate any help from you, as i’m facing this issue with the android native plugin and they’re taking forever to reply.

how did you solve the merging manifest issue, because once i was done commenting out the line out, i got this error “CommandInvokationFailure: Unable to convert classes into dex format.”